package android_serialport_api.port;

/**
 *
 * Serial port log interceptor
 */

public interface LogInterceptorSerialPort {

    /**
     * Operation log output callback
     *
     * @param type    Log type
     * @param port    serial port
     * @param isAscii true:ASCII  false:Hex
     * @param log     Log contents
     */
    void log(@SerialPortManager.Type String type, String port, boolean isAscii, String log);

}
